<?php
/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2008 Mandriva, http://www.mandriva.com/
 *
 * $Id$
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

require_once('modules/ftp/includes/ftp-xmlrpc.inc.php');
/**
 * module declaration
 */
$mod = new Module("ftp");
$mod->setVersion("0.6.2");
$mod->setRevision('$Rev$');
$mod->setDescription(_T("FTP Server Management", "ftp"));
$mod->setAPIVersion('1:0:0');
$mod->setPriority(358);

/**
 * user submod definition
 */

$submod = new SubModule("ftp");
$submod->setDescription(_T("FTP Server", "ftp"));
$submod->setImg('modules/network/graph/img/network');
$submod->setDefaultPage("ftp/ftp/index");
$submod->setPriority(355);

$page = new Page("index",_T("FTP Configuration","ftp"));
$page->setFile("modules/ftp/ftp/index.php",
	array("visible" => True)
);
$submod->addPage($page);

$page = new Page("add",_T("FTP Share Folder","ftp"));
$page->setFile("modules/ftp/ftp/share.php",
	array("visible" => True)
);
$submod->addPage($page);

$page = new Page("anon",_T("Modify Public Share Folder", "ftp"));
$page->setOptions(array("visible"=>False));

$submod->addPage($page);

$page = new Page("delusersshare",_T("Remove User Share","ftp"));
$page->setOptions( array ("noHeader" => True,"visible"=>False));
$submod->addPage($page);



/*
$page = new Page("add",_T("User Access","ftp"));
$submod->addPage($page);

$page = new Page("edit",_T("Edit VLAN configurations", "ftp"));
$page->setOptions(array("visible"=>False));

$submod->addPage($page);

$page = new Page("ajaxVlanFilter");
$page->setFile("modules/ftp/ftp/ajaxVlanFilter.php", array("AJAX" =>True,"visible"=>False));
$submod->addPage($page);

$page = new Page("delete",_T("Delete VLAN interfaces", "ftp"));
$page->setFile("modules/ftp/ftp/delete.php",
	array("noHeader" => True, "visible" => False)
);
$submod->addPage($page);
 */
$mod->addSubmod($submod);

$MMCApp =&MMCApp::getInstance();
$MMCApp->addModule($mod);

?>
