<?php

/**
** (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
** (c) 2007-2008 Mandriva, http://www.mandriva.com/
**
** $Id$
**
** This file is part of Mandriva Management Console (MMC).
**
** MMC is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** MMC is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with MMC; if not, write to the Free Software
** Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
**/



#TODO: make a option to restore default configurations
#TODO: Show the current configuration in the fields/checkbox


require("localSidebar.php");
require("graph/navbar.inc.php");

if(isset($_POST["bedit"])){
	#get variables and compare if there is any alteration, if so commit it to config file
	$sv_name = getFtpConf('^ServerName');
	$sv_la = getFtpConf('^MaxLoginAttempts');
	$sv_timeout = getFtpConf('^TimeoutIdle');

	#proftp needs server name quoted
	if((!empty($_POST["server_name"])) && ($sv_name != $_POST["server_name"])){ setConf("ServerName",  "\"" . $_POST["server_name"] . "\""); }
	$server_rd = (!empty($_POST['server_rd'])) ? $_POST['server_rd'] : 'off';
	setConf("AllowRetrieveRestart", $server_rd);
	if($sv_la != $_POST["server_la"]){ setConf("MaxLoginAttempts", $_POST["server_la"]); }
	if($sv_timeout != $_POST["server_timeout"]){ setConf("TimeoutIdle", $_POST["server_timeout"]); }
        if(!isXMLRPCError()){
	        $result = _T("FTP configuration has been modified.", "ftp") . "<br />";
	        new NotifyWidgetSuccess($result);
	}
}

//save values if the user was not sucessed on seding them
$sv_name='';$sv_la='';$sv_timeout='';

$server_rd = isFtpConfEnabled('AllowRetrieveRestart') ? 'checked' : '';
$sv_name = getFtpConf('^ServerName');
$server_name = (!empty($sv_name)) ? $sv_name : '';
$sv_la = getFtpConf('^MaxLoginAttempts');
$server_la = (!empty($sv_la)) ? $sv_la : '';
$sv_timeout = getFtpConf('^TimeoutIdle');
$server_timeout = (!empty($sv_timeout)) ? $sv_timeout : '';


$p = new PageGenerator(_T("FTP Configuration"));
$p->setSideMenu($sidemenu);
$p->display();

echo '<p>' . _T("All fields are optional.") . '</p>';

$f = new ValidatingForm();
$f->push(new Table());

$f->add(
	new TrFormElement(_T("Server Name"), new InputTpl("server_name")),
	array("value" => $server_name)
);
$f->add(
	new TrFormElement(_T("Allow resume downloads"), new CheckboxTpl("server_rd"), array("tooltip" => _T("Downloads can be resumed if it fails or stopped for the client."))),
	array("value" => $server_rd)
);
$f->add(
	new TrFormElement(_T("Max login attempts"), new InputTpl("server_la",'/^[1-9]{1,1}[0-9]*$/'), array("tooltip" => _T("Max attempts the client can do, when trying to login in the FTP server."))),
	array("value" => $server_la)
);
$f->add(
	new TrFormElement(_T("Client Timeout"), new InputTpl("server_timeout",'/^[1-9]{1,1}[0-9]*$/'), array("tooltip" => _T("Number of seconds before disconecting user by inactivity"))),
	array("value" => $server_timeout, "extra" => _T(" in seconds"))
);

$f->pop();

$f->addButton("bedit", _("Confirm"));
$f->display();
?>
