<?php


require("graph/navbar.inc.php");
require("localSidebar.php");
require("modules/ftp/includes/parser.inc.php");

if (isset($_POST["badd"])) {
	$userShare = $_POST["userShare"];
	$ret = ftpEnableUser($userShare);
	if (!isXMLRPCError() && $ret == 0){
		new NotifyWidgetSuccess(sprintf(_T("Share for user %s successfully added"), $userShare));
	}elseif (!isXMLRPCError() && $ret == 1){
		new NotifyWidgetWarning(sprintf(_T("Share for user %s is already added"), $userShare));
	}elseif (!isXMLRPCError() && $ret == 2) {
		new NotifyWidgetWarning(sprintf(_T("The user %s do not exists in the system, please create it first in the Users tab"), $userShare));
	}
}

if(isset($_POST["banon"])){
		if(!isset($_POST["shareDisable"])){
			setAnonPath('remove','null');#tag remove will remove the anon conf in the file
			if (!isXMLRPCError()) {
				new NotifyWidgetSuccess(_T("Public share successfully disabled"));
			}

		}else{ #otherwise change or add the path to the file
			$anonRet=0;
			$temp_maxUser="";
			if($_POST["sharePath"] == ""){
				new NotifyWidgetWarning(_T("No path especified in the Share Path variable."));
			}else{
				if($_POST["maxAnonUser"] == ""){ $anonRet = setAnonPath($_POST["sharePath"],"25"); } #default value max users is 25
				else{
					if($_POST["maxAnonUser"] == 0)
						$temp_maxUser = "none";
					else
						$temp_maxUser = $_POST["maxAnonUser"];
					$anonRet = setAnonPath($_POST["sharePath"],$temp_maxUser);
				}
				if (!isXMLRPCError() && $anonRet == 0) {
					new NotifyWidgetSuccess(_T("Public share successfully modified"));
				}else if(!isXMLRPCError()){
					new NotifyWidgetWarning(_T("The directory especified in the path variable, does not exists. Please create it."));
				}
			}

		}


}

if ($_GET["action"] == "add") {
    $title = _T("Add a share");
    $activeItem = "add";
}else if($_GET["action"] == "anon"){
	$title = _T("Edit public share options");
	$activeItem = "anon";
	$shareDisable = isFtpAnnonConfEnabled('<Anonymous.*.>') ? "checked" : ""; #check if anon is enabled and syncronize interface with configuration in the file
}else{
    $share = urldecode($_GET["share"]);
    $title = _T("Properties of share $share");
    $activeItem = "list";
}

$p = new PageGenerator($title);
$p->setSideMenu($sidemenu);
$p->display();

#vars declarations
$share = "";
$sharePath = getAnonPath();

$t = new ValidatingForm();
$t->push(new Table());
#if LDAP add share
if($_GET["action"] == "add"){
	$input = new InputTpl("userShare");
	$t->add(
		new TrFormElement(_T("User Name"), $input, array("tooltip" => _T("Enter the exact name of the user you want to enable ftp share eg. /home/test -> username = test"))),
	        array("value" => $share, "required" => True)
	);

}else{ #anon configurations
	$maxAnonUser=getAnonUsers();
	$t->add(
		new TrFormElement(_T("Enable/Disable public access"), new CheckboxTpl("shareDisable")),
		array("value" => $shareDisable, "extra" => _T(" Warning: if public share is enabled, all folders and files will be avaible to everybody inside the path specified"))
	);
	$t->add(
		new TrFormElement(_T("Max public users"), new InputTpl("maxAnonUser"), array("tooltip" => _T("How many simultaneous public users is allowed in the FTP server"))),
		array("value" => $maxAnonUser,  "extra" => _T(" 0 means unlimited connections (no value enter it will be set to 25)"))
	);
	$t->add(
	        new TrFormElement(_T("Share Path"), new CheckPathTpl("sharePath")),
        	array("value" => $sharePath, "extra" => _T("e.g. /var/ftp"))
	);
}
$t->pop();

if($_GET["action"] == "add"){
//list
	$n = new ListInfos(ftpGetUsers(),_T("Users"));
	$n->setName(_T("List"));
	$n->addActionItem(new ActionPopupItem(_T("Remove"),"delusersshare","delete","user"));
	$n->setCssClass("ftpUserDisplay");
	$n->start = 0;
//button
	$t->addButton("badd", _("Create"));
}else{
	$t->addButton("banon", _("Confirm"));
}
$t->display();
if($_GET["action"] == "add"){ $n->display(); }
?>
